Freeciv-3.1: cm_state Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
cm_state Struct Reference

## Data Fields

struct cm_parameter | parameter
struct city * | pcity
struct tile_type_vector | lattice
struct tile_type_vector | lattice_by_prod [O_LAST]
struct partial_solution | best
struct cm_fitness | best_value
int | min_production [O_LAST]
int | min_luxury
struct partial_solution | current
struct { |
int * stack |
int size |
} | choice |
bool * | workers_map

## Detailed Description

Definition at line 200 of file cm.c.

## Field Documentation

## ◆ best

struct partial_solution cm_state::best

Definition at line 210 of file cm.c.

Referenced by bb_next(), choice_is_promising(), cm_find_best_solution(), cm_state_free(), and cm_state_init().

## ◆ best_value

struct cm_fitness cm_state::best_value

Definition at line 211 of file cm.c.

Referenced by bb_next(), begin_search(), and cm_state_init().

## ◆ [struct]

struct { ... } cm_state::choice

Referenced by begin_search(), choice_stack_empty(), cm_state_free(), cm_state_init(), last_choice(), pop_choice(), take_child_choice(), and take_sibling_choice().

## ◆ current

struct partial_solution cm_state::current

Definition at line 223 of file cm.c.

Referenced by bb_next(), begin_search(), choice_is_promising(), cm_state_free(), cm_state_init(), next_choice(), pop_choice(), take_child_choice(), and take_sibling_choice().

## ◆ lattice

struct tile_type_vector cm_state::lattice

Definition at line 206 of file cm.c.

Referenced by begin_search(), cm_state_free(), cm_state_init(), num_types(), and tile_type_get().

## ◆ lattice_by_prod

struct tile_type_vector cm_state::lattice_by_prod[O_LAST]

Definition at line 207 of file cm.c.

Referenced by cm_state_free(), cm_state_init(), compute_max_stats_heuristic(), and min_food_surplus_for_fastest_growth().

## ◆ min_luxury

int cm_state::min_luxury

Definition at line 220 of file cm.c.

Referenced by choice_is_promising(), and cm_state_init().

## ◆ min_production

int cm_state::min_production[O_LAST]

Definition at line 217 of file cm.c.

Referenced by choice_is_promising(), and init_min_production().

## ◆ parameter

struct cm_parameter cm_state::parameter

Definition at line 202 of file cm.c.

Referenced by begin_search(), choice_is_promising(), convert_solution_to_result(), estimate_fitness(), and init_min_production().

## ◆ pcity

struct city* cm_state::pcity

Definition at line 203 of file cm.c.

Referenced by add_workers(), apply_solution(), begin_search(), choice_is_promising(), cm_find_best_solution(), cm_query_result(), cm_result_from_main_map(), cm_state_init(), compute_max_stats_heuristic(), convert_solution_to_result(), estimate_fitness(), init_min_production(), and min_food_surplus_for_fastest_growth().

## ◆ size

int cm_state::size

Definition at line 231 of file cm.c.

Referenced by begin_search(), choice_stack_empty(), cm_state_init(), last_choice(), pop_choice(), take_child_choice(), and take_sibling_choice().

## ◆ stack

int* cm_state::stack

Definition at line 230 of file cm.c.

Referenced by cm_state_free(), cm_state_init(), last_choice(), take_child_choice(), and take_sibling_choice().

## ◆ workers_map

bool* cm_state::workers_map

Definition at line 234 of file cm.c.

Referenced by apply_solution(), cm_state_free(), cm_state_init(), and convert_solution_to_result().